Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol.event
Class Loudness

    java.lang.Object
      org.teleal.cling.support.renderingcontrol.event.Loudness

    public class Loudness

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="val" use="required" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="channel" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `channel`
`protected boolean` | `val`

Constructor Summary
`Loudness()`

Method Summary
`String` | `getChannel()` Gets the value of the channel property.
`boolean` | `isVal()` Gets the value of the val property.
`void` | `setChannel(String value)` Sets the value of the channel property.
`void` | `setVal(boolean value)` Sets the value of the val property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### val

    protected boolean val

### channel

    protected String channel

Constructor Detail

### Loudness

    public Loudness()

Method Detail

### isVal

    public boolean isVal()

  Gets the value of the val property.

### setVal

    public void setVal(boolean value)

  Sets the value of the val property.

### getChannel

    public String getChannel()

  Gets the value of the channel property.

  Returns:
    possible object is `String`

### setChannel

    public void setChannel(String value)

  Sets the value of the channel property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.